### Virtual Method

# Phosh DBusSessionManager handle_inhibit

#### Declaration [src]

    gboolean
    handle_inhibit (
      PhoshDBusSessionManager* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_app_id,
      guint arg_toplevel_xid,
      const gchar* arg_reason,
      guint arg_flags
    )

#### Description [src]

Handler for the `PhoshDBusSessionManager::handle-inhibit` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the function.

`arg_app_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_toplevel_xid`

  Type: `guint`

  No description available.

`arg_reason`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_flags`

  Type: `guint`

  No description available.

#### Return value

Type: `gboolean`

No description available.